<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_20) on Mon Jun 13 10:56:17 CEST 2011 -->
<TITLE>
Polynomial
</TITLE>

<META NAME="date" CONTENT="2011-06-13">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Polynomial";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../Polynomial/PNome.html" title="class in Polynomial"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../Polynomial/PolynomialException.html" title="class in Polynomial"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html?Polynomial/Polynomial.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="Polynomial.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
Polynomial</FONT>
<BR>
Class Polynomial</H2>
<PRE>
java.lang.Object
  <IMG SRC="../resources/inherit.gif" ALT="extended by "><B>Polynomial.Polynomial</B>
</PRE>
<HR>
<DL>
<DT><PRE>public class <B>Polynomial</B><DT>extends java.lang.Object</DL>
</PRE>

<P>
Allows to define a polynomial. Powers can be positive or negative.
<P>

<P>
<HR>

<P>

<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../Polynomial/Polynomial.html#Polynomial()">Polynomial</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Initializes a newly created polynomial object with 'x' as polynomial
 variable.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../Polynomial/Polynomial.html#Polynomial(char)">Polynomial</A></B>(char&nbsp;var)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Initializes a newly created polynomial object.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../Polynomial/Polynomial.html#Polynomial(java.lang.String, char)">Polynomial</A></B>(java.lang.String&nbsp;poly,
           char&nbsp;var)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Initializes a newly created polynomial object with a string containing
 the polynomial representation.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../Polynomial/Polynomial.html#coefList()">coefList</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets a string that represent a scilab vector containing the list
 of coefficients from the min power to the max power.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../Polynomial/Polynomial.html#coefListFromZero()">coefListFromZero</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets a string that represent a scilab vector containing the list
 of coefficients.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../Polynomial/Polynomial.html#fromString(java.lang.String)">fromString</A></B>(java.lang.String&nbsp;poly)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parses the string argument as polynomial (in the current object).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../Polynomial/Polynomial.html#fromString(java.lang.String, char)">fromString</A></B>(java.lang.String&nbsp;poly,
           char&nbsp;var)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parses the string argument as polynomial (in the current object).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../Polynomial/PNome.html" title="class in Polynomial">PNome</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../Polynomial/Polynomial.html#get(int)">get</A></B>(int&nbsp;i)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets the monomial at position i.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../Polynomial/Polynomial.html#getMax()">getMax</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets the maximum power of the monomial list (with optimization if
 the list is already sorted).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../Polynomial/Polynomial.html#getMaxGeneric()">getMaxGeneric</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets the maximum power of the monomial list.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../Polynomial/Polynomial.html#getMin()">getMin</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets the minimum power of the monomial list (with optimization if
 the list is already sorted).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../Polynomial/Polynomial.html#getMinGeneric()">getMinGeneric</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets the minimum power of the monomial list.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../Polynomial/Polynomial.html#isSimplified()">isSimplified</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns true if the polynomial il already simplified and else false.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../Polynomial/Polynomial.html#isSorted()">isSorted</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns true if the polynomial il already sorted and else false.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../Polynomial/Polynomial.html#simplify()">simplify</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Groups monomials with the same power.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../Polynomial/Polynomial.html#size()">size</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets the polynomial size (in number of monomials).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../Polynomial/Polynomial.html#sort()">sort</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sorts the polynomial by power.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../Polynomial/Polynomial.html#toString()">toString</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a string object representing this polynomial.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../Polynomial/Polynomial.html#toString(char)">toString</A></B>(char&nbsp;var)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a string object representing this polynomial with an user
 defined variable.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.Object</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="Polynomial(char)"><!-- --></A><H3>
Polynomial</H3>
<PRE>
public <B>Polynomial</B>(char&nbsp;var)</PRE>
<DL>
<DD>Initializes a newly created polynomial object.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>var</CODE> - polynomial variable.</DL>
</DL>
<HR>

<A NAME="Polynomial()"><!-- --></A><H3>
Polynomial</H3>
<PRE>
public <B>Polynomial</B>()</PRE>
<DL>
<DD>Initializes a newly created polynomial object with 'x' as polynomial
 variable.
<P>
</DL>
<HR>

<A NAME="Polynomial(java.lang.String, char)"><!-- --></A><H3>
Polynomial</H3>
<PRE>
public <B>Polynomial</B>(java.lang.String&nbsp;poly,
                  char&nbsp;var)
           throws <A HREF="../Polynomial/PolynomialException.html" title="class in Polynomial">PolynomialException</A></PRE>
<DL>
<DD>Initializes a newly created polynomial object with a string containing
 the polynomial representation.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>poly</CODE> - string containing the polynomial representation to be parsed.<DD><CODE>var</CODE> - user defined polynomial variable.
<DT><B>Throws:</B>
<DD><CODE><A HREF="../Polynomial/PolynomialException.html" title="class in Polynomial">PolynomialException</A></CODE> - if the string does not contain a parsable
        polynomial.</DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="fromString(java.lang.String)"><!-- --></A><H3>
fromString</H3>
<PRE>
public void <B>fromString</B>(java.lang.String&nbsp;poly)
                throws <A HREF="../Polynomial/PolynomialException.html" title="class in Polynomial">PolynomialException</A></PRE>
<DL>
<DD>Parses the string argument as polynomial (in the current object).
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>poly</CODE> - string containing the polynomial representation to be parsed.
<DT><B>Throws:</B>
<DD><CODE><A HREF="../Polynomial/PolynomialException.html" title="class in Polynomial">PolynomialException</A></CODE> - if the string does not contain a parsable
        polynomial.</DL>
</DD>
</DL>
<HR>

<A NAME="fromString(java.lang.String, char)"><!-- --></A><H3>
fromString</H3>
<PRE>
public void <B>fromString</B>(java.lang.String&nbsp;poly,
                       char&nbsp;var)
                throws <A HREF="../Polynomial/PolynomialException.html" title="class in Polynomial">PolynomialException</A></PRE>
<DL>
<DD>Parses the string argument as polynomial (in the current object).
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>poly</CODE> - string containing the polynomial representation to be parsed.<DD><CODE>var</CODE> - user defined polynomial variable.
<DT><B>Throws:</B>
<DD><CODE><A HREF="../Polynomial/PolynomialException.html" title="class in Polynomial">PolynomialException</A></CODE> - if the string does not contain a parsable
        polynomial.</DL>
</DD>
</DL>
<HR>

<A NAME="simplify()"><!-- --></A><H3>
simplify</H3>
<PRE>
public void <B>simplify</B>()</PRE>
<DL>
<DD>Groups monomials with the same power.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="sort()"><!-- --></A><H3>
sort</H3>
<PRE>
public void <B>sort</B>()</PRE>
<DL>
<DD>Sorts the polynomial by power. The first element is the lowest power.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="isSimplified()"><!-- --></A><H3>
isSimplified</H3>
<PRE>
public boolean <B>isSimplified</B>()</PRE>
<DL>
<DD>Returns true if the polynomial il already simplified and else false.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>Return true if the polynomial il already simplified and else false.</DL>
</DD>
</DL>
<HR>

<A NAME="isSorted()"><!-- --></A><H3>
isSorted</H3>
<PRE>
public boolean <B>isSorted</B>()</PRE>
<DL>
<DD>Returns true if the polynomial il already sorted and else false.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>Return true if the polynomial il already sorted and else false.</DL>
</DD>
</DL>
<HR>

<A NAME="getMinGeneric()"><!-- --></A><H3>
getMinGeneric</H3>
<PRE>
public int <B>getMinGeneric</B>()
                  throws <A HREF="../Polynomial/PolynomialException.html" title="class in Polynomial">PolynomialException</A></PRE>
<DL>
<DD>Gets the minimum power of the monomial list.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>value of the minimum power in the polynomial.
<DT><B>Throws:</B>
<DD><CODE><A HREF="../Polynomial/PolynomialException.html" title="class in Polynomial">PolynomialException</A></CODE> - if the list is empty.</DL>
</DD>
</DL>
<HR>

<A NAME="getMin()"><!-- --></A><H3>
getMin</H3>
<PRE>
public int <B>getMin</B>()
           throws <A HREF="../Polynomial/PolynomialException.html" title="class in Polynomial">PolynomialException</A></PRE>
<DL>
<DD>Gets the minimum power of the monomial list (with optimization if
 the list is already sorted).
<P>
<DD><DL>

<DT><B>Returns:</B><DD>value of the minimum power in the polynomial.
<DT><B>Throws:</B>
<DD><CODE><A HREF="../Polynomial/PolynomialException.html" title="class in Polynomial">PolynomialException</A></CODE> - if the list is empty.</DL>
</DD>
</DL>
<HR>

<A NAME="getMaxGeneric()"><!-- --></A><H3>
getMaxGeneric</H3>
<PRE>
public int <B>getMaxGeneric</B>()
                  throws <A HREF="../Polynomial/PolynomialException.html" title="class in Polynomial">PolynomialException</A></PRE>
<DL>
<DD>Gets the maximum power of the monomial list.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>value of the maximum power in the polynomial.
<DT><B>Throws:</B>
<DD><CODE><A HREF="../Polynomial/PolynomialException.html" title="class in Polynomial">PolynomialException</A></CODE> - if the list is empty.</DL>
</DD>
</DL>
<HR>

<A NAME="getMax()"><!-- --></A><H3>
getMax</H3>
<PRE>
public int <B>getMax</B>()
           throws <A HREF="../Polynomial/PolynomialException.html" title="class in Polynomial">PolynomialException</A></PRE>
<DL>
<DD>Gets the maximum power of the monomial list (with optimization if
 the list is already sorted).
<P>
<DD><DL>

<DT><B>Returns:</B><DD>value of the maximum power in the polynomial.
<DT><B>Throws:</B>
<DD><CODE><A HREF="../Polynomial/PolynomialException.html" title="class in Polynomial">PolynomialException</A></CODE> - if the list is empty.</DL>
</DD>
</DL>
<HR>

<A NAME="get(int)"><!-- --></A><H3>
get</H3>
<PRE>
public <A HREF="../Polynomial/PNome.html" title="class in Polynomial">PNome</A> <B>get</B>(int&nbsp;i)</PRE>
<DL>
<DD>Gets the monomial at position i.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>PNome object that represent the monomial.</DL>
</DD>
</DL>
<HR>

<A NAME="size()"><!-- --></A><H3>
size</H3>
<PRE>
public int <B>size</B>()</PRE>
<DL>
<DD>Gets the polynomial size (in number of monomials).
<P>
<DD><DL>

<DT><B>Returns:</B><DD>return the polynomial size (in number of monomials).</DL>
</DD>
</DL>
<HR>

<A NAME="coefList()"><!-- --></A><H3>
coefList</H3>
<PRE>
public java.lang.String <B>coefList</B>()
                          throws <A HREF="../Polynomial/PolynomialException.html" title="class in Polynomial">PolynomialException</A></PRE>
<DL>
<DD>Gets a string that represent a scilab vector containing the list
 of coefficients from the min power to the max power. The list must
 be sorted and simplified.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>a string that represent the coefficient of the polynomial in
        a scilab vector. If the list is not sorted or simplified this
        function returns a 'null' value.
<DT><B>Throws:</B>
<DD><CODE><A HREF="../Polynomial/PolynomialException.html" title="class in Polynomial">PolynomialException</A></CODE> - if the list is empty.</DL>
</DD>
</DL>
<HR>

<A NAME="coefListFromZero()"><!-- --></A><H3>
coefListFromZero</H3>
<PRE>
public java.lang.String <B>coefListFromZero</B>()
                                  throws <A HREF="../Polynomial/PolynomialException.html" title="class in Polynomial">PolynomialException</A></PRE>
<DL>
<DD>Gets a string that represent a scilab vector containing the list
 of coefficients. The polynomial must be positive (all the powers >= 0)
 or negative (all the powers <= 0). Moreover the list must be sorted
 and simplified.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>polynomial coefficient.
<DT><B>Throws:</B>
<DD><CODE><A HREF="../Polynomial/PolynomialException.html" title="class in Polynomial">PolynomialException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="toString()"><!-- --></A><H3>
toString</H3>
<PRE>
public java.lang.String <B>toString</B>()</PRE>
<DL>
<DD>Returns a string object representing this polynomial.
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE>toString</CODE> in class <CODE>java.lang.Object</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>a string representation of the value of this polynomial.</DL>
</DD>
</DL>
<HR>

<A NAME="toString(char)"><!-- --></A><H3>
toString</H3>
<PRE>
public java.lang.String <B>toString</B>(char&nbsp;var)</PRE>
<DL>
<DD>Returns a string object representing this polynomial with an user
 defined variable.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>var</CODE> - user defined variable.
<DT><B>Returns:</B><DD>a string representation of the value of this polynomial.</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../Polynomial/PNome.html" title="class in Polynomial"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../Polynomial/PolynomialException.html" title="class in Polynomial"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html?Polynomial/Polynomial.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="Polynomial.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
